apiVersion: apps/v1
kind: Deployment
metadata:
  name: eclipsefdn-working-groups-api-staging
  namespace: foundation-internal-webdev-apps
  labels:
    app: eclipsefdn-working-groups-api
    environment: staging
spec:
  selector:
    matchLabels:
      app: eclipsefdn-working-groups-api
      environment: staging
  replicas: 1
  template:
    metadata:
      labels:
        app: eclipsefdn-working-groups-api
        environment: staging
    spec:
      automountServiceAccountToken: false
      affinity:
        nodeAffinity:
          preferredDuringSchedulingIgnoredDuringExecution:
          - preference:
              matchExpressions:
              - key: speed
                operator: NotIn
                values:
                - fast
            weight: 1
      containers:
      - name: app
        image: eclipsefdn/eclipsefdn-working-groups-api:latest-staging
        imagePullPolicy: IfNotPresent
        ports:
        - containerPort: 8090
        resources:
          limits:
            cpu: '1'
            memory: 384Mi
            ephemeral-storage: "100Mi"
          requests:
            cpu: 300m
            memory: 384Mi
            ephemeral-storage: "100Mi"
        startupProbe:
            httpGet:
              path: /working-groups/q/health
              port: 8090
              scheme: HTTP
            timeoutSeconds: 1
            initialDelaySeconds: 45
            periodSeconds: 10
            successThreshold: 1
            failureThreshold: 3
        livenessProbe:
            httpGet:
              path: /working-groups/q/health
              port: 8090
              scheme: HTTP
            timeoutSeconds: 1
            initialDelaySeconds: 60
            periodSeconds: 60
            successThreshold: 1
            failureThreshold: 3
        env: 
        - name: CONFIG_SECRET_PATH
          value: "/run/secrets/working-groups-api/secret.properties"
        volumeMounts:
        - name: secret-properties
          mountPath: "/run/secrets/working-groups-api"
          readOnly: true
      volumes:
      - name: secret-properties
        secret:
          secretName: working-groups-api-staging
---
apiVersion: "v1"
kind: "Service"
metadata:
  name: eclipsefdn-working-groups-api-staging
  namespace: foundation-internal-webdev-apps
spec:
  ports:
  - name: "http"
    port: 80
    protocol: "TCP"
    targetPort: 8090
  selector:
    app: eclipsefdn-working-groups-api
    environment: staging
---
apiVersion: "route.openshift.io/v1"
kind: "Route"
metadata:
  name: eclipsefdn-working-groups-api-staging
  namespace: foundation-internal-webdev-apps
  annotations:
    haproxy.router.openshift.io/timeout: 20s
    haproxy.router.openshift.io/disable_cookies: "true"
    haproxy.router.openshift.io/balance: roundrobin
spec:
  host: "api-staging.eclipse.org"
  path: "/working-groups"
  port:
    targetPort: "http"
  tls:
    insecureEdgeTerminationPolicy: "Redirect"
    termination: "edge"
  to:
    kind: "Service"
    name: eclipsefdn-working-groups-api-staging
    weight: 100
